kr.co.hanwha.hifive.data.model

## Class MessageListRoot

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.BaseData
  - - kr.co.hanwha.hifive.data.model.MessageListRoot

    public class MessageListRoot
    extends BaseData

Created by sanghoonkwon on 2018. 1. 22..

### Field Summary

Fields
`(package private) int` `countOfTotalRecords` 총 메세지 개수
`(package private) int` `currentPageNo` 요청한 페이지
`(package private) int` `finalPageNo` 마지막 페이지
`(package private) java.util.ArrayList<MessageListData>` `listRequestMessagesResult`
`(package private) int` `nextPageNo` 다음 페이지

### Fields inherited from class kr.co.hanwha.hifive.data.model.BaseData

`rtn_code, rtn_message, server_time`

### Constructor Summary

Constructors
Constructor and Description
`MessageListRoot()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCountOfTotalRecords()`
`int` `getCurrentPageNo()`
`int` `getFinalPageNo()`
`java.util.ArrayList<MessageListData>` `getListRequestMessagesResult()`
`int` `getNextPageNo()`

### Methods inherited from class kr.co.hanwha.hifive.data.model.BaseData

`getRtn_code, getRtn_message, getServer_time, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### listRequestMessagesResult

    java.util.ArrayList<MessageListData> listRequestMessagesResult

#### finalPageNo

    int finalPageNo

마지막 페이지

#### countOfTotalRecords

    int countOfTotalRecords

총 메세지 개수

#### nextPageNo

    int nextPageNo

다음 페이지

#### currentPageNo

    int currentPageNo

요청한 페이지

### Constructor Detail

#### MessageListRoot

    public MessageListRoot()

### Method Detail

#### getListRequestMessagesResult

    public java.util.ArrayList<MessageListData> getListRequestMessagesResult()

#### getFinalPageNo

    public int getFinalPageNo()

#### getCountOfTotalRecords

    public int getCountOfTotalRecords()

#### getNextPageNo

    public int getNextPageNo()

#### getCurrentPageNo

    public int getCurrentPageNo()